VERSION 5.00
Begin VB.Form MainUI 
   Appearance      =   0  'Flat
   BackColor       =   &H80000004&
   Caption         =   "UPD test Starting"
   ClientHeight    =   5310
   ClientLeft      =   1995
   ClientTop       =   1890
   ClientWidth     =   5865
   ForeColor       =   &H00004000&
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5310
   ScaleWidth      =   5865
   Begin VB.Timer UDPtimer 
      Left            =   4920
      Top             =   960
   End
   Begin VB.CommandButton TXcmd 
      Caption         =   "Send :"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   2760
      Width           =   1935
   End
   Begin VB.TextBox TXtb 
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   9
         Charset         =   255
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1815
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   2
      Text            =   "MainUI.frx":0000
      Top             =   3240
      Width           =   5535
   End
   Begin VB.Label Label1 
      Caption         =   "Received:"
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   9
         Charset         =   255
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00800000&
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   1080
      Width           =   1455
   End
   Begin VB.Label EClbl 
      Alignment       =   1  'Right Justify
      Caption         =   "None"
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   9
         Charset         =   255
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00C00000&
      Height          =   255
      Left            =   4200
      TabIndex        =   4
      Top             =   1080
      Width           =   1455
   End
   Begin VB.Label RXlbl 
      Caption         =   "Label1"
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   9
         Charset         =   255
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   240
      TabIndex        =   1
      Top             =   1320
      Width           =   5295
   End
   Begin VB.Label ParmLbl 
      Caption         =   "Label1"
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   9
         Charset         =   255
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   855
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   5295
   End
   Begin VB.Menu MenuExit 
      Caption         =   "E&xit"
      Begin VB.Menu MenuExitConfirm 
         Caption         =   "&Confirm"
      End
   End
   Begin VB.Menu menuSetupSys 
      Caption         =   "&Setup"
   End
End
Attribute VB_Name = "MainUI"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim InPktCnt As Long

Private Sub Form_Load()
    
    Call SLEinit("UDP Test")
    '
    X$ = UDP_Init
    If X$ <> "" Then
        RXlbl.Caption = X$
    Else
        RXlbl.Caption = "Ready"
    End If
    '
    Call SetParmLbl
    '
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Call MenuExitConfirm_Click
End Sub


Private Sub MenuExitConfirm_Click()
    '
    Call SLEcleanup
    Call WSACleanup
    '
    End
    '
End Sub


Private Sub menuSetupSys_Click()
    Call EditSD
End Sub

Sub SetParmLbl()
    '
    If SD.UDPserver Then
        X$ = "UDP Server "
    Else
        X$ = "UDP Client"
    End If
    If Not SD.UDPenabled Then X$ = X$ + " (Disabled)"
    X$ = X$ + vbCr + "This IP: " + SD.MyTrueIP
    X$ = X$ + vbCr + "Other IP:" + SD.ExtIP
    X$ = X$ + vbCr + "Port:" + Str$(SD.Port)
    '
    ParmLbl.Caption = X$
    '
End Sub

Private Sub RXcmd_Click()
    '
    X$ = UDP_Recv
    If UDP_Error < 10000 Then
        InPktCnt = InPktCnt + 1
        EClbl.Caption = Str$(InPktCnt)
        RXlbl.Caption = X$
    End If
    '
End Sub

Private Sub TXcmd_Click()

    Call UDP_Send(TXtb.Text)
    If UDP_Error = SOCKET_ERROR Then
        EClbl.Caption = "ERROR"
    ElseIf UDP_Error >= 10000 Then
        'do nothing
        EClbl.Caption = Str$(UDP_Error)
    Else
        EClbl.Caption = ""
    End If

End Sub

Private Sub UDPtimer_Timer()
    Call RXcmd_Click
    If SD.TXautoMsg Then
        TXtb.Text = "UDP:" + Format$(Now, "hh:mm:ss mm/dd/yyyy") + " " + Right$("        " + Format$(Timer, "#0.00"), 8)
        Call TXcmd_Click
    End If
End Sub
